osl::record::StandardCharacters Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | List of all members
osl::record::StandardCharacters Struct Reference

持ち駒用（標準文字） More...

`#include <kanjiPrint.h>`

Inheritance diagram for osl::record::StandardCharacters:
[legend]
Collaboration diagram for osl::record::StandardCharacters:
[legend]

## Public Member Functions
const std::string & | getDan (const size_t index) const
| 段数の文字を返す More...
const std::string & | getSuji (const size_t index) const
| 筋の文字を返す。駒の文字幅に合わせる必要がある。 More...
const std::string & | getPiece (const size_t index) const
| 盤面上の駒を返す More...
Public Member Functions inherited from osl::record::Characters
virtual | ~Characters ()
const std::string & | getStand (const size_t index) const
| 持ち駒の漢字文字を返す。1文字を期待する More...
const std::string & | stand_kanji (const PtypeO &ptypeo) const
const std::string & | kanji (const PtypeO &ptypeo) const
const std::string & | kanji (Ptype ptype) const

## Static Public Attributes
static const misc::CArray < std::string, 10 > | dan
| 段数の文字 More...
static const misc::CArray < std::string, 10 > | suji
| 筋の文字。駒の文字幅に合わせる必要がある。 More...
static const misc::CArray < std::string, 32 > | pieces
| 盤面上の駒の漢字文字 More...
Static Public Attributes inherited from osl::record::Characters
static const misc::CArray < std::string, 32 > | stand

## Detailed Description

持ち駒用（標準文字）

Definition at line 144 of file kanjiPrint.h.

## Member Function Documentation

const std::string& osl::record::StandardCharacters::getDan | ( | const size_t | index) |  | const
| inlinevirtual

段数の文字を返す

Implements osl::record::Characters.

Definition at line 153 of file kanjiPrint.h.

References dan.

const std::string& osl::record::StandardCharacters::getPiece | ( | const size_t | index) |  | const
| inlinevirtual

盤面上の駒を返す

Implements osl::record::Characters.

Definition at line 155 of file kanjiPrint.h.

References pieces.

const std::string& osl::record::StandardCharacters::getSuji | ( | const size_t | index) |  | const
| inlinevirtual

筋の文字を返す。駒の文字幅に合わせる必要がある。

Implements osl::record::Characters.

Definition at line 154 of file kanjiPrint.h.

References suji.

## Member Data Documentation

const osl::misc::CArray< std::string, 10 > osl::record::StandardCharacters::dan
| static

Initial value:
=
{{"", K_K1, K_K2, K_K3, K_K4, K_K5, K_K6, K_K7, K_K8, K_K9}}

段数の文字

Definition at line 147 of file kanjiPrint.h.

Referenced by getDan(), osl::record::KanjiMove::KanjiMove(), and osl::record::ki2::show().

const osl::misc::CArray< std::string, 32 > osl::record::StandardCharacters::pieces
| static

Initial value:
=
{{
K_NAKAGURO, "+E",
K_PPAWN, K_PLANCE, K_PKNIGHT, K_PSILVER, K_PBISHOP, K_PROOK, K_KING,
K_GOLD, K_PAWN, K_LANCE, K_KNIGHT, K_SILVER, K_BISHOP, K_ROOK,
K_NAKAGURO, "+E",
K_PPAWN, K_PLANCE, K_PKNIGHT, K_PSILVER, K_PBISHOP, K_PROOK, K_KING,
K_GOLD, K_PAWN, K_LANCE, K_KNIGHT, K_SILVER, K_BISHOP, K_ROOK
}}

盤面上の駒の漢字文字

Definition at line 151 of file kanjiPrint.h.

Referenced by getPiece().

const osl::misc::CArray< std::string, 10 > osl::record::StandardCharacters::suji
| static

Initial value:
=
{{"", K_R1, K_R2, K_R3, K_R4, K_R5, K_R6, K_R7, K_R8, K_R9}}

筋の文字。駒の文字幅に合わせる必要がある。

Definition at line 149 of file kanjiPrint.h.

Referenced by getSuji(), osl::record::KanjiMove::KanjiMove(), and osl::record::ki2::show().

The documentation for this struct was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc